[postgis-tickets] r16229 - Handle error from make garden too
Sandro Santilli
strk at kbt.io
Tue Jan 9 06:04:50 PST 2018
Author: strk
Date: 2018-01-09 06:04:50 -0800 (Tue, 09 Jan 2018)
New Revision: 16229
Modified:
trunk/ci/debbie/postgis_regress.sh
Log:
Handle error from make garden too
Modified: trunk/ci/debbie/postgis_regress.sh
===================================================================
--- trunk/ci/debbie/postgis_regress.sh 2018-01-09 14:01:58 UTC (rev 16228)
+++ trunk/ci/debbie/postgis_regress.sh 2018-01-09 14:04:50 UTC (rev 16229)
@@ -95,9 +95,15 @@
if [ "$MAKE_GARDEN" = "1" ]; then
echo "Running garden test"
make garden
+ if [ "$?" != "0" ]; then
+ exit $?
+ fi
fi
# Test all available upgrades
# TODO: protect via some variable ?
utils/check_all_upgrades.sh \
`grep '^POSTGIS_' Version.config | cut -d= -f2 | paste -sd '.'`
+if [ "$?" != "0" ]; then
+ exit $?
+fi
More information about the postgis-tickets
mailing list